# [THESAURUS SYNONYMS R DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-r-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-r-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-r-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-r-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-r-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l r.json
    10877 r.json
  
    $ du -sh r.js*
    474M	r.json
     38M	r.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-r-data) 📦

    npm i -S thesaurus-synonyms-r-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-r-data').loadSync()
```

    [ { key: 'radio-activities',
        datetime: '2018-03-25 11:35:46',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activities/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-active',
        datetime: '2018-03-25 11:35:46',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-active/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activations',
        datetime: '2018-03-25 11:35:46',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activation',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activating',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activating/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activates',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activates/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activated',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activated/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activate',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activate/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio wave',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio%20wave/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio thon',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio%20thon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio telescope',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio%20telescope/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio telephonic',
        datetime: '2018-03-25 11:35:47',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio%20telephonic/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio telephones',
        datetime: '2018-03-25 11:35:48',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio%20telephones/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' },
      { key: 'radio-activity',
        datetime: '2018-03-25 11:35:58',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-activity/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive decays',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive%20decays/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive decay',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive%20decay/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive clouds',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive%20clouds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive cloud',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive%20cloud/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive carbon datings',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive%20carbon%20datings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive carbon dating',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive%20carbon%20dating/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactive',
        datetime: '2018-03-25 11:36:00',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0018200.ogg',
           'http://static.sfdict.com/audio/R00/R0018200.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactive/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactivations',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactivations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radioactivation',
        datetime: '2018-03-25 11:36:00',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radioactivation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiothons',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiothons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiothon',
        datetime: '2018-03-25 11:36:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0025900.ogg',
           'http://static.sfdict.com/audio/R00/R0025900.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiothon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelephonics',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelephonics/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelephonic',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelephonic/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelephones',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelephones/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelephone',
        datetime: '2018-03-25 11:36:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0025200.ogg',
           'http://static.sfdict.com/audio/R00/R0025200.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelephone/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelegraphy',
        datetime: '2018-03-25 11:36:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0025100.ogg',
           'http://static.sfdict.com/audio/R00/R0025100.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelegraphy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelegraphs',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelegraphs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'radiotelegraphies',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radiotelegraphies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raglan',
        datetime: '2018-03-25 11:36:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0032200.ogg',
           'http://static.sfdict.com/audio/R00/R0032200.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raglan/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'ragings',
        datetime: '2018-03-25 11:36:01',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ragings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raggings',
        datetime: '2018-03-25 11:36:02',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raggings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'ragging on',
        datetime: '2018-03-25 11:36:02',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ragging%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raggedy',
        datetime: '2018-03-25 11:36:05',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0031700.ogg',
           'http://static.sfdict.com/audio/R00/R0031700.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raggedy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railing in',
        datetime: '2018-03-25 11:36:06',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railing%20in/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railing at',
        datetime: '2018-03-25 11:36:06',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railing%20at/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railing against',
        datetime: '2018-03-25 11:36:07',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railing%20against/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railed in',
        datetime: '2018-03-25 11:36:08',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railed%20in/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railed at',
        datetime: '2018-03-25 11:36:08',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railed%20at/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raining destruction',
        datetime: '2018-03-25 11:36:09',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining%20destruction/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raining cats dogs',
        datetime: '2018-03-25 11:36:09',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining%20cats%20dogs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raining cats dog',
        datetime: '2018-03-25 11:36:09',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining%20cats%20dog/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raining cats and dogs',
        datetime: '2018-03-25 11:36:09',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining%20cats%20and%20dogs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raining cats and dog',
        datetime: '2018-03-25 11:36:10',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining%20cats%20and%20dog/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raining blows on',
        datetime: '2018-03-25 11:36:10',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining%20blows%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raise roof',
        datetime: '2018-03-25 11:36:10',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raise%20roof/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raise question',
        datetime: '2018-03-25 11:36:10',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raise%20question/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raise ones voice',
        datetime: '2018-03-25 11:36:10',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raise%20ones%20voice/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raise ones glass to',
        datetime: '2018-03-25 11:36:11',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raise%20ones%20glass%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raise one voice',
        datetime: '2018-03-25 11:36:11',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raise%20one%20voice/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raised money',
        datetime: '2018-03-25 11:36:11',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raised%20money/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raised high',
        datetime: '2018-03-25 11:36:11',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raised%20high/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raised glass to',
        datetime: '2018-03-25 11:36:12',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raised%20glass%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railings',
        datetime: '2018-03-25 11:36:06',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'railroad',
        datetime: '2018-03-25 11:36:06',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0035900.ogg',
           'http://static.sfdict.com/audio/R00/R0035900.mp3' ],
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/railroad/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raise one&amp',
        datetime: '2018-03-25 11:36:19',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raise%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raised objection',
        datetime: '2018-03-25 11:36:19',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raised%20objection/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raining',
        datetime: '2018-03-25 11:36:10',
        page_number: 2,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raining/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/2' },
      { key: 'raises one glass to',
        datetime: '2018-03-25 11:36:20',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raises%20one%20glass%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raises objection',
        datetime: '2018-03-25 11:36:20',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raises%20objection/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raises money',
        datetime: '2018-03-25 11:36:20',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raises%20money/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raises high',
        datetime: '2018-03-25 11:36:20',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raises%20high/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raises glass to',
        datetime: '2018-03-25 11:36:22',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raises%20glass%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raises from the dead',
        datetime: '2018-03-25 11:36:22',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raises%20from%20the%20dead/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising spirits',
        datetime: '2018-03-25 11:36:22',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20spirits/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising rumpus',
        datetime: '2018-03-25 11:36:22',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20rumpus/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising roof',
        datetime: '2018-03-25 11:36:22',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20roof/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising question',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20question/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising ones glass to',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20ones%20glass%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising one glass to',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20one%20glass%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising objection',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20objection/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'raising money',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/raising%20money/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rallies round',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rallies%20round/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rallied round',
        datetime: '2018-03-25 11:36:23',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rallied%20round/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rales',
        datetime: '2018-03-25 11:36:24',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rales/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rale',
        datetime: '2018-03-25 11:36:24',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/R00/R0042800.ogg',
           'http://static.sfdict.com/audio/R00/R0042800.mp3' ],
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rale/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rammed down throat',
        datetime: '2018-03-25 11:36:24',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rammed%20down%20throat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rammed down ones throat',
        datetime: '2018-03-25 11:36:24',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rammed%20down%20ones%20throat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'rammed down one throat',
        datetime: '2018-03-25 11:36:25',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/rammed%20down%20one%20throat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ramjets',
        datetime: '2018-03-25 11:36:25',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ramjets/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ramjet propulsions',
        datetime: '2018-03-25 11:36:25',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ramjet%20propulsions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran around with',
        datetime: '2018-03-25 11:36:25',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20around%20with/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran amuck',
        datetime: '2018-03-25 11:36:27',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20amuck/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran amok',
        datetime: '2018-03-25 11:36:27',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20amok/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran along',
        datetime: '2018-03-25 11:36:27',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20along/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran ahead',
        datetime: '2018-03-25 11:36:29',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20ahead/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran aground',
        datetime: '2018-03-25 11:36:30',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20aground/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran it flagpole',
        datetime: '2018-03-25 11:36:30',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20it%20flagpole/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran it a flagpole',
        datetime: '2018-03-25 11:36:31',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20it%20a%20flagpole/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran into the ground',
        datetime: '2018-03-25 11:36:31',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20into%20the%20ground/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran into ground',
        datetime: '2018-03-25 11:36:31',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20into%20ground/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran into debt',
        datetime: '2018-03-25 11:36:31',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20into%20debt/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran interference for',
        datetime: '2018-03-25 11:36:35',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20interference%20for/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran interference',
        datetime: '2018-03-25 11:36:37',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20interference/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran in to the ground',
        datetime: '2018-03-25 11:36:37',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20in%20to%20the%20ground/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran in to ground',
        datetime: '2018-03-25 11:36:37',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20in%20to%20ground/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      { key: 'ran the chance',
        datetime: '2018-03-25 11:36:37',
        page_number: 3,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/ran%20the%20chance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/3' },
      ... 10777 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-r-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'radio-active'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-r-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('radio-active');
```

    { key: 'radio-active',
        datetime: '2018-03-25 11:35:46',
        page_number: 1,
        letter: 'r',
        word_url: 'http://www.thesaurus.com/browse/radio-active/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/r/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-r-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('radio-active', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms: [ { txt: 'adj', words: [Array], ttl: 'active' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      related:
       [ { url: 'http://www.thesaurus.com/browse/radioactive',
           text: 'radioactive',
           words: [Array],
           def: 'adj. active' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - radio bandwidth

```json
{
  "key": "radio bandwidth",
  "datetime": "2018-03-27 05:21:13",
  "page_number": 1,
  "letter": "r",
  "word_url": "http://www.thesaurus.com/browse/radio%20bandwidth/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/high%20frequency",
            "text": "high frequency",
            "length": 2,
            "complexity": 3,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/low%20frequency",
            "text": "low frequency",
            "length": 1,
            "complexity": 3,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/radio%20band",
            "text": "radio band",
            "length": 1,
            "complexity": 1,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/transmission%20capacity",
            "text": "transmission capacity",
            "length": 3,
            "complexity": 1,
            "id": 4
          }
        ],
        "ttl": "frequency range"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/bandwidth",
        "text": "bandwidth",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/high%20frequency",
            "word": "high frequency"
          },
          {
            "url": "http://www.thesaurus.com/browse/low%20frequency",
            "word": "low frequency"
          },
          {
            "url": "http://www.thesaurus.com/browse/radio%20band",
            "word": "radio band"
          },
          {
            "url": "http://www.thesaurus.com/browse/radio%20bandwidth",
            "word": "radio bandwidth"
          },
          {
            "url": "http://www.thesaurus.com/browse/transmission%20capacity",
            "word": "transmission capacity"
          }
        ],
        "def": "noun. frequency range"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/r/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
